Bug 478617 - Review Request: zsync - Partial/differential file transfer client over HTTP
Review Request: zsync - Partial/differential file transfer client over HTTP
Status: CLOSED DUPLICATE of bug 490140
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: 461429 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 04:47 EST by Fabian Affolter
Modified: 2010-04-02 13:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 14:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-02 04:47:13 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/zsync.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/zsync-0.5-1.fc9.src.rpm

Project URL: http://zsync.moria.org.uk/

Description:
zsync is a file transfer program. It allows you to download a file from
a remote server, where you have a copy of an older version of the file
on your computer already. zsync downloads only the new parts of the file.

zsync uses the same algorithm as rsync. However, where rsync is designed
for synchronising data from one computer to another within an organisation,
zsync is designed for file distribution, with one file on a server to be
distributed to thousands of downloaders. zsync requires no special server
software just a web server to host the files and imposes no extra load on
the server, making it ideal for large scale file distribution.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1029364

rpmlint output:
[fab@laptop024 i386]$ rpmlint zsync*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint zsync-0.5-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2009-01-02 15:23:24 EST

*** This bug has been marked as a duplicate of bug 461429 ***
Comment 3 Christoph Wickert 2009-03-08 15:47:18 EDT
*** Bug 461429 has been marked as a duplicate of this bug. ***
Comment 4 Susi Lehtola 2009-03-13 10:42:53 EDT
*** Bug 490140 has been marked as a duplicate of this bug. ***
Comment 5 Fabian Affolter 2009-03-14 04:29:46 EDT
* Sat Mar 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6-1
- Updated to new upstream version 6

Updates files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/zsync.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/zsync-0.6-1.fc10.src.rpm
Comment 6 Simon 2009-03-20 06:56:57 EDT
I tried to patch out internal zlib and failed. I'll try it next week, again!
Comment 7 Simon 2009-03-26 08:11:19 EDT
okay, I failed again, I don't know where I have to search my errors. I lost the track. Sorry!
Comment 8 Fabian Affolter 2009-04-06 14:51:32 EDT
Acc. to Simon there is still an issue with zlib.
Comment 9 Felix Kaechele 2009-04-26 12:25:15 EDT
The zlib that is included in zsync is patched to support some more functions on manipulating the compressed stream. Thus it is not possible to just patch it out.
Comment 10 Simon 2009-04-26 13:07:04 EDT
We (Robert Scheck, Toshio Kuratomi, ?Christoph Wickert? and I) already know that. Robert is in contact with upstream (zlib, rync and zsync) to find a solution.

https://bugzilla.redhat.com/show_bug.cgi?id=490140
https://bugzilla.redhat.com/show_bug.cgi?id=495310
https://fedorahosted.org/fesco/ticket/134
Comment 11 Thomas Spura 2010-04-02 13:54:25 EDT

*** This bug has been marked as a duplicate of bug 490140 ***

Note You need to log in before you can comment on or make changes to this bug.